> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User for Secure ID

> Use this API to create a Secure ID user profile, which is required to initiate Video KYC verification.



## OpenAPI

````yaml post /user
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /user:
    post:
      tags:
        - User
      summary: Create User for Secure ID
      description: >-
        Use this API to create a Secure ID user profile, which is required to
        initiate Video KYC verification.
      operationId: VrsCreateUser
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
        - $ref: '#/components/parameters/global_x_api_version'
      requestBody:
        $ref: '#/components/requestBodies/AddUserRequest'
      responses:
        '200':
          $ref: '#/components/responses/UserResponse'
        '400':
          $ref: '#/components/responses/Response400AddUser'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '409':
          $ref: '#/components/responses/Response409DuplicateIdUser'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
    global_x_api_version:
      description: API version to be used. Format is in YYYY-MM-DD.
      name: x-api-version
      in: header
      required: true
      schema:
        type: string
        default: '2024-12-01'
        example: '2024-12-01'
      example: '2024-12-01'
  requestBodies:
    AddUserRequest:
      description: Request payload for creating a user for Video KYC.
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AddUserRequestSchema'
  responses:
    UserResponse:
      description: Success response for creating a user profile for Video KYC.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UserResponseSchema'
          examples:
            Success:
              value:
                user_reference_id: 1358
                user_id: User0123
                phone: '9988776655'
                email: johndoe@gmail.com
                name: John doe
                address: GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE
    Response400AddUser:
      description: Validation errors for add user API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            User Id Invalid:
              value:
                type: validation_error
                code: user_id_value_invalid
                message: >-
                  user_id can include only alphanum, dot, hyphen and
                  underscores.
            Phone Invalid:
              value:
                type: validation_error
                code: phone_value_invalid
                message: phone should be 10 digit number with or without prefix 91/+91.
            Phone Missing:
              value:
                type: validation_error
                code: phone_missing
                message: phone is missing in the request.
            Email Invalid:
              value:
                type: validation_error
                code: email_address_invalid
                message: email should be a valid email address.
            Address Invalid:
              value:
                type: validation_error
                code: address_length_exceeded
                message: address can include a maximum of 500 characters.
            Name Invalid:
              value:
                type: validation_error
                code: name_value_invalid
                message: name should only contains alphanumeric, space, dot and hyphen.
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    Response409DuplicateIdUser:
      description: Conflict error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Conflict Error:
              value:
                type: validation_error
                code: user_id_already_exists
                message: user ID already exists
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500V2:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
  schemas:
    AddUserRequestSchema:
      type: object
      required:
        - phone
      properties:
        user_id:
          description: >-
            It is the unique ID you create to identify the user. The maximum
            character limit is 50. Only alphanumeric, period (.), hyphen (-),
            and underscore ( _ ) are allowed. **Auto-generated if not passed.**
          type: string
          example: User0123
        phone:
          description: The phone number of the user.
          type: string
          example: '9988776655'
        email:
          type: string
          description: The email address of the user.
          example: johndoe@gmail.com
        name:
          type: string
          description: The name of the user.
          example: John Doe
        address:
          type: string
          description: The address address of the user.
          example: GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE
    UserResponseSchema:
      type: object
      example:
        value:
          user_reference_id: 1358
          user_id: User0123
          phone: 9988776655
          email: johndoe@gmail.com
          name: John doe
          address: GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE
      properties:
        user_id:
          description: >-
            It is the unique ID you create to identify the user, or it is
            auto-generated by Cashfree if not provided in request.
          type: string
          example: User0123
        user_reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes. format: `int64`
          example: 1358
        phone:
          description: The phone number of the user.
          type: string
          example: '9988776655'
        email:
          type: string
          description: The email address of the user.
          example: johndoe@gmail.com
        name:
          type: string
          description: The name of the user.
          example: John Doe
        address:
          type: string
          description: The address of the user.
          example: GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````